Skip to main content
`Ctrl`+`K`

# API

## Exceptions

class Exception : public std::exception

  Base class for all ECMWF exceptions. All exception types shall inherit from this class, either directly or indirectly.

  When inheriting from this class prefer your Exception type to be constructible from a message and a code location, e.g.:

      class MyException : public Exception {
      public:
          MyException(const std::string& msg, const CodeLocation& loc = {}) :
              Exception(msg, loc){}
      }

  Subclassed by EvalError, eckit::Abort, eckit::AssertionFailed, eckit::BadBoolConversion, eckit::BadCast, eckit::BadComparison, eckit::BadConversion, eckit::BadOperator, eckit::BadParameter, eckit::BadTag, eckit::BadValue, eckit::Cancel, eckit::ConfigurationNotFound, eckit::DblBufferError, eckit::EventNotFound, eckit::FailedLibraryCall, eckit::FailedSystemCall, eckit::FileError, eckit::Grid::InvalidGrid, eckit::HttpError, eckit::MapAllocatorTooSmall, eckit::NotImplemented, eckit::NotSubClass, eckit::OutOfMemory, eckit::OutOfRange, eckit::QueueInterruptedError, eckit::RemoteException, eckit::Retry, eckit::SeriousBug, eckit::Stop, eckit::StreamParser::Error, eckit::TimeOut, eckit::TooManyRetries, eckit::URLException, eckit::UnexpectedState, eckit::UnknowClass, eckit::UserError, eckit::codec::Exception, eckit::geo::Exception, eckit::maths::ConvexHull::Exception, eckit::mpi::MPIError, eckit::net::ConnectorException, eckit::net::TCPSocket::UnknownHost, eckit::spec::exception::SpecError, eckit::sql::SyntaxError, eckit::testing::TestException

  Public Functions

  explicit Exception(const std::string &what, const CodeLocation& = {})

    Constructors.

  ~Exception() noexcept override

    Destructor

    Throws:

      nothing –

  Exception &operator=(const Exception&) = default

    Operators.